// rollup.config.js

import typescript from '@rollup/plugin-typescript';
import resolve from '@rollup/plugin-node-resolve';
import commonjs from '@rollup/plugin-commonjs';
import json from '@rollup/plugin-json';
/**
 * @type {import('rollup').RollupOptions}
 */
export default {
  input: 'src/index.ts', // TypeScript 入口文件
  output: {
    // file: 'dist/app.js', // 输出文件
    dir: 'dist',
    format: 'es', // 输出格式设置为 ES 模块
  },
  plugins: [
    resolve(), // 使用 @rollup/plugin-node-resolve 解析 node_modules 中的模块
    commonjs({
      // dynamicRequireTargets: ['node_modules/sqlite3/lib/*.js'],
    }),
    json(),
    typescript({
      allowImportingTsExtensions: true,
      noEmit: true,
      // 不生成声明文件
      declaration: false,
    }), // 使用 @rollup/plugin-typescript 处理 TypeScript 文件
  ],
  external: ['sqlite3', 'sequelize', 'vite'], // 将 sqlite3 作为外部依赖
};
